package com.qmth.themis.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.qmth.themis.business.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 机构
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@ApiModel(value = "t_b_org", description = "机构")
public class TBOrg extends BaseEntity {

    @ApiModelProperty(value = "机构代码，通常用学校简称表示，全局唯一")
    @TableField(value = "code")
    private String code;

    @ApiModelProperty(value = "名称")
    @TableField(value = "name")
    private String name;

    @ApiModelProperty(value = "logo图片url")
    @TableField(value = "logo")
    private String logo;

    @ApiModelProperty(value = "是否启用，0：停用，1：启用")
    @TableField(value = "enable")
    private Integer enable;

    @ApiModelProperty(value = "是否开启模考")
    @TableField(value = "id")
    private Integer enable_simulate;

    @ApiModelProperty(value = "模考试卷id")
    @TableField(value = "simulate_paper_id")
    private Long simulatePaperId;

    @ApiModelProperty(value = "外部访问凭证")
    @TableField(value = "access_key")
    private String accessKey;

    @ApiModelProperty(value = "外部访问密钥")
    @TableField(value = "access_secret")
    private String accessSecret;

    @ApiModelProperty(value = "联系人")
    @TableField(value = "contact_name")
    private String contactName;

    @ApiModelProperty(value = "联系人电话")
    @TableField(value = "contact_phone")
    private String contactPhone;

    @ApiModelProperty(value = "是否允许使用活体")
    @TableField(value = "enable_liveness")
    private String enableLiveness;

    @ApiModelProperty(value = "是否允许视频转录")
    @TableField(value = "enable_video_record")
    private String enableVideoRecord;

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getContactPhone() {
        return contactPhone;
    }

    public void setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone;
    }

    public String getEnableLiveness() {
        return enableLiveness;
    }

    public void setEnableLiveness(String enableLiveness) {
        this.enableLiveness = enableLiveness;
    }

    public String getEnableVideoRecord() {
        return enableVideoRecord;
    }

    public void setEnableVideoRecord(String enableVideoRecord) {
        this.enableVideoRecord = enableVideoRecord;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }

    public Integer getEnable_simulate() {
        return enable_simulate;
    }

    public void setEnable_simulate(Integer enable_simulate) {
        this.enable_simulate = enable_simulate;
    }

    public Long getSimulatePaperId() {
        return simulatePaperId;
    }

    public void setSimulatePaperId(Long simulatePaperId) {
        this.simulatePaperId = simulatePaperId;
    }

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    public String getAccessSecret() {
        return accessSecret;
    }

    public void setAccessSecret(String accessSecret) {
        this.accessSecret = accessSecret;
    }
}
