package com.qmth.themis.business.entity.common;

import com.baomidou.mybatisplus.annotation.TableField;
import com.qmth.themis.business.base.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Description: 考试场次公用 entity
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/7
 */
public class ExamActivity extends BaseEntity {

    @ApiModelProperty(value = "批次id")
    @TableField(value = "exam_id")
    private Long examId;

    @ApiModelProperty(value = "场次代码")
    @TableField(value = "code")
    private String code;

    @ApiModelProperty(value = "提前多长时间开始候考(秒)")
    @TableField(value = "prepare_seconds")
    private Integer prepareSeconds;

    @ApiModelProperty(value = "最大考试时长")
    @TableField(value = "max_duration_seconds")
    private Integer maxDurationSeconds;

    @ApiModelProperty(value = "是否启用，0：停用，1：启用")
    @TableField(value = "enable")
    private Integer enable;

    @ApiModelProperty(value = "允许开考时长(秒)")
    @TableField(value = "opening_seconds")
    private Integer openingSeconds;

    @ApiModelProperty(value = "开考时间")
    @TableField(value = "start_time")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @TableField(value = "finish_time")
    private Date finishTime;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getPrepareSeconds() {
        return prepareSeconds;
    }

    public void setPrepareSeconds(Integer prepareSeconds) {
        this.prepareSeconds = prepareSeconds;
    }

    public Integer getMaxDurationSeconds() {
        return maxDurationSeconds;
    }

    public void setMaxDurationSeconds(Integer maxDurationSeconds) {
        this.maxDurationSeconds = maxDurationSeconds;
    }

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }

    public Integer getOpeningSeconds() {
        return openingSeconds;
    }

    public void setOpeningSeconds(Integer openingSeconds) {
        this.openingSeconds = openingSeconds;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }
}
