package com.qmth.themis.business.entity.common;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 考试科目公用 entity
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/7
 */
public class ExamCourse implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "考试ID")
    @TableField(value = "exam_id")
    private Long examId;

    @ApiModelProperty(value = "科目编码")
    @TableField(value = "course_code")
    private String courseCode;

    @ApiModelProperty(value = "科目名称")
    @TableField(value = "course_name")
    private String courseName;

    @ApiModelProperty(value = "是否开启客观题乱序，0：不开启，1：开启")
    @TableField(value = "objective_shuffle")
    private Integer objectiveShuffle;

    @ApiModelProperty(value = "是否选项乱序，针对一个科目进行设置，0：不开启，1：开启")
    @TableField(value = "option_shuffle")
    private Integer optionShuffle;

    @ApiModelProperty(value = "已绑定试卷数量")
    @TableField(value = "paper_count")
    private Integer paperCount;

    @ApiModelProperty(value = "是否已补齐标答，0：否，1：是")
    @TableField(value = "has_answer")
    private Integer hasAnswer;

    @ApiModelProperty(value = "音频播放次数")
    @TableField(value = "audio_play_time")
    private Integer audioPlayTime;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Integer getObjectiveShuffle() {
        return objectiveShuffle;
    }

    public void setObjectiveShuffle(Integer objectiveShuffle) {
        this.objectiveShuffle = objectiveShuffle;
    }

    public Integer getOptionShuffle() {
        return optionShuffle;
    }

    public void setOptionShuffle(Integer optionShuffle) {
        this.optionShuffle = optionShuffle;
    }

    public Integer getPaperCount() {
        return paperCount;
    }

    public void setPaperCount(Integer paperCount) {
        this.paperCount = paperCount;
    }

    public Integer getHasAnswer() {
        return hasAnswer;
    }

    public void setHasAnswer(Integer hasAnswer) {
        this.hasAnswer = hasAnswer;
    }

    public Integer getAudioPlayTime() {
        return audioPlayTime;
    }

    public void setAudioPlayTime(Integer audioPlayTime) {
        this.audioPlayTime = audioPlayTime;
    }
}
