package com.qmth.themis.business.enums;

import java.util.Objects;

/**
 * @Description: 角色enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/4/18
 */
public enum RoleEnum {
    /**
     * 系统管理员
     */
    SUPER_ADMIN(1, "系统管理员"),
    /**
     * 管理员
     */
    TEACHER(2, "老师"),
    /**
     * 考务老师
     */
    STUDENT(3, "学生");

    private int id;

    private String code;

    private RoleEnum(int id, String code) {
        this.id = id;
        this.code = code;
    }

    /**
     * 状态转换 toId
     *
     * @param value
     * @return
     */
    public static int convertToId(String value) {
        if (Objects.equals(value.trim(), SUPER_ADMIN.name())) {
            return SUPER_ADMIN.getId();
        } else if (Objects.equals(value.trim(), TEACHER.name())) {
            return TEACHER.getId();
        } else {
            return STUDENT.getId();
        }
    }

    /**
     * 状态转换 toName
     *
     * @param value
     * @return
     */
    public static String convertToName(String value) {
        if (Objects.equals(value.trim(), SUPER_ADMIN.getCode())) {
            return SUPER_ADMIN.name();
        } else if (Objects.equals(value.trim(), TEACHER.getCode())) {
            return TEACHER.name();
        } else {
            return STUDENT.name();
        }
    }

    public int getId() {
        return id;
    }

    public String getCode() {
        return code;
    }
}
