package com.qmth.themis.common.enums;

public enum Platform {

    web("web"), wap("web"), wxapp_video("wxapp_video"), wxapp_answer("wxapp_answer"), win("pc");

    public static Platform findByName(String name) {
        if (name == null) {
            return null;
        }
        for (Platform item : Platform.values()) {
            if (item.toString().equalsIgnoreCase(name)) {
                return item;
            }
        }
        return null;
    }

    private String source;

    Platform(String source) {
        this.source = source;
    }

    public String getSource() {
        return source;
    }

    public boolean equals(String name) {
        return toString().equalsIgnoreCase(name);
    }
}
