package com.qmth.themis.task.config;

import com.qmth.themis.business.domain.*;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @Description: 数据字典
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/4/10
 */
@Configuration
public class DictionaryConfig {

    /**
     * mq配置
     *
     * @return
     */
    @Bean
    @ConfigurationProperties(prefix = "mq.config", ignoreUnknownFields = false)
    public MqConfigDomain mqConfigDomain() {
        return new MqConfigDomain();
    }

    /**
     * quartz配置
     *
     * @return
     */
    @Bean
    @ConfigurationProperties(prefix = "quartz.config", ignoreUnknownFields = false)
    public QuartzConfigDomain quartzConfigDomain() {
        return new QuartzConfigDomain();
    }
}
