package com.qmth.themis.task.start;

import com.qmth.themis.business.util.JacksonUtil;
import com.qmth.themis.task.config.DictionaryConfig;
import com.qmth.themis.task.quartz.MqJob;
import com.qmth.themis.task.service.QuartzService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description: 服务启动时初始化运行，哪个微服务模块需要则拿此模版去用
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/3
 */
@Component
public class StartRunning implements CommandLineRunner {
    private final static Logger log = LoggerFactory.getLogger(StartRunning.class);

    @Resource
    QuartzService quartzService;

    @Resource
    DictionaryConfig dictionaryConfig;

    @Override
    public void run(String... args) throws Exception {
        log.info("服务器启动时执行 start");
        log.info("增加mqjob start");
        //如果已经创建了任务，下次并不需要删除和新增
        Map map = new HashMap();
        map.put("name", MqJob.class.getName());
        quartzService.deleteJob(dictionaryConfig.quartzConfigDomain().getBackendJobName(), dictionaryConfig.quartzConfigDomain().getBackendJobGroupName());
        quartzService.addJob(MqJob.class, dictionaryConfig.quartzConfigDomain().getBackendJobName(), dictionaryConfig.quartzConfigDomain().getBackendJobGroupName(), "0 0/1 * * * ?", map);
        log.info("增加mqjob end");
        log.info("服务器启动时执行 end");
    }
}
